/*Copyright 2015 Arseny Izotov*/

.group:after{
    content: "";
    display: table;
    clear: both;
}

*[data-pointer-needed="yes"]{
    cursor: pointer !important;
    /*
     !important tag can be removed by specifying individually
     for .menu-item[data-it=team][Data-selected=no], and #logo
     to have cursor: pointer on [data-cursor-needed=yes].
     Otherwise user-select: none takes priority
     -AI
    */
}

body {
    background-color: hsla(0, 0%, 97.5%, 1);
    /*font-family: Cambria, Georgia, serif;*/
    font-size:20px;
    height:100%;
    width:100%;
    margin:0px;
    padding:0px;
    min-width: 440px;
}

#outer-container{
    margin: auto;
    width: 95%;
    min-width: 420px;
    position: relative;
}

#logo{
    user-select: none;
    cursor: default;
    z-index: 999;
    position: absolute;
    font-size: 83px;
    margin: 10px;
    color: white;
    text-shadow: 0px 0px 8px blue;
}
    #logo l{
        color: red;
        text-shadow: none;
    }
    #logo e{
        color: green;
        text-shadow: none;
    }
    #logo d{
        color: blue;
        text-shadow: none;
    }

#menu-bar{
    z-index: 5;
    position: absolute;
    top: 64px;
    right: 0;
    width: 700px;
    transition: width 1s;
    min-width: 399px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}
@media screen and (max-width:1150px){
    #menu-bar{ width: 650px; }
}
@media screen and (max-width:1100px){
    #menu-bar{ width: 600px; }
}
@media screen and (max-width:1050px){
    #menu-bar{ width: 550px; }
}
@media screen and (max-width:1000px){
    #menu-bar{ width: 500px; }
}
@media screen and (max-width:920px){
    #menu-bar{ width: 450px; }
}
@media screen and (max-width:860px){
    #menu-bar{
        top: 117px;
        width: 100%;
    }
}

.menu-item{
    display: block;
    font-size: 25px;
    top: 0px;
    user-select: none;
    cursor: default;
    font-weight: bold;
    color: white;
    transition: color 750ms, text-shadow 750ms;
}

.menu-item[data-it="home"][data-selected="yes"], .menu-item[data-it="home"][data-selected="no"]:hover{
    color: red;
}
.menu-item[data-it="progress"][data-selected="yes"], .menu-item[data-it="progress"][data-selected="no"]:hover{
    color: green;
}
.menu-item[data-it="downloads"][data-selected="yes"], .menu-item[data-it="downloads"][data-selected="no"]:hover{
    color: blue;
}
.menu-item[data-it="team"][data-selected="yes"], .menu-item[data-it="team"][data-selected="no"]:hover{
    color: hsla( 40, 100%, 50%, 1);
}

.menu-item[data-selected="no"]{
    text-shadow: 0px 0px 9px blue;
}

.menu-item[data-selected="no"]:hover{
    cursor: pointer;
}
.menu-item[data-selected="no"]:hover, .menu-item[data-selected="yes"]{
    text-shadow: 0px 0px 32px white;
}

/*content containers*/

.content-container[data-it="home"]     {
    background-color: white;
    box-shadow: inset 0px 0px 6px 0px hsla(  0, 100%, 55%, 1);
}
.content-container[data-it="progress"] {
    background-color: white;
    box-shadow: inset 0px 0px 6px 0px hsla(120, 100%, 25%, 1);
}
.content-container[data-it="downloads"]{
    background-color: white;
    box-shadow: inset 0px 0px 6px 0px hsla(240, 100%, 50%, 1);
}
.content-container[data-it="team"]     {
    background-color: white;
    box-shadow: inset 0px 0px 6px 0px hsla( 40, 100%, 50%, 1);
}

h1{
    margin: 0;
    padding: 0;
    margin-left: 30px;
    font-weight: normal;
    font-size: 25px;
}

#team-header{
    float: left;
}

#top-bar{
    height: 123px;
}

.content-container{
    width: 100%;
    padding: 17px;
    margin-bottom: 35px;
    box-sizing: border-box;
    border-radius: 24px;
}
@-moz-document url-prefix() { 
    .content-container{
        top: 125px;
    }
}
.content-container[data-selected="no"]{
    position: absolute;
    top: 110px;
    display: none;
}
@media screen and (max-width:860px){
    #top-bar{
        height: 176px;
    }
    @-moz-document url-prefix() { 
        #top-bar{
            height: 178px;
        }
    }
    .content-container[data-selected="no"]{
        top: 160px;
    }
}

.content-container:before{
    content: "Copyright © 2015 Arseny Izotov";
    font-size: 12px;
    color: blue;
    position: absolute;
    top: 101%;
    right: 3%;
}

#home-links{
    -ms-box-orient: horizontal;
    display: -webkit-box;
    display:    -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display:    -moz-flex;
    display:         flex;
    -webkit-justify-content: space-around;
    justify-content:         space-around;
    -webkit-flex-flow: wrap;
    flex-flow:         wrap;
    -webkit-align-items: stretch;
    align-items:         stretch;
}
#home-links div:hover{
    cursor: pointer;
}
#home-links div{
    border-radius: 10px;
    margin: 10px;
    padding: 10px;
    flex: 1;
    text-align: center;
    font-size: 75px;
    transition: font-size 250ms;
}
#home-links div[data-it="progress"]{
    max-width: 304px;
    flex: 4;
    box-shadow: inset 0px 0px 40px 0px hsla(120, 100%, 25%, .1), inset 0px 0px 5px 0px hsla(120, 100%, 25%, .2);
}
#home-links div[data-it="downloads"]{
    max-width: 395px;
    flex: 6;
    box-shadow: inset 0px 0px 40px 0px hsla(240, 100%, 50%, .1), inset 0px 0px 5px 0px hsla(240, 100%, 50%, .2);
}
#home-links div[data-it="team"]{
    max-width: 205px;
    flex: 3;
    box-shadow: inset 0px 0px 40px 0px hsla( 40, 100%, 50%, .1), inset 0px 0px 5px 0px hsla( 40, 100%, 50%, .2);
}

@media screen and ( max-width: 1300px ){
   #home-links div{ font-size: 70px; }
}
@media screen and ( max-width: 1225px ){
   #home-links div{ font-size: 65px; }
}
@media screen and ( max-width: 1150px ){
   #home-links div{ font-size: 60px; }
}
@media screen and ( max-width: 1025px ){
   #home-links div{ font-size: 55px; }
}
@media screen and ( max-width:  950px ){
   #home-links div{ font-size: 50px; }
}
@media screen and ( max-width:  875px ){
   #home-links div{ font-size: 45px; }
}
@media screen and ( max-width:  800px ){
   #home-links div{ font-size: 40px; }
}
@media screen and ( max-width:  725px ){
   #home-links div{ font-size: 35px; }
}
@media screen and ( max-width:  650px ){
   #home-links div{ font-size: 30px; }
}
@media screen and ( max-width:  575px ){
   #home-links div{ font-size: 25px; }
}
@media screen and ( max-width:  500px ){
   #home-links div{ font-size: 20px; }
}

.big-words{
    font-size: 20px;
}

#team-container, #downloads-container, #progress-container{
    display: flex;
    flex-direction: row;
    -webkit-flex-flow: wrap;
    flex-flow: wrap;
    justify-content: space-around;
}

.progress-item{
    display: block;
    width: 315px;
    padding: 15px;
    margin: 10px;
    border-radius: 10px;
    -webkit-flex: 0 0 auto;
    -moz-flex: 0 0 auto;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    box-shadow: inset 0px 0px 40px 0px hsla(120, 100%, 25%, .1), inset 0px 0px 5px 0px hsla(120, 100%, 25%, .2);
}
.progress-item:nth-child(5n+1){
    box-shadow: inset 0px 0px 40px 0px hsla(  0, 100%, 50%, .1), inset 0px 0px 5px 0px hsla(  0, 100%, 50%, .2);
}
.progress-item:nth-child(5n+2){
    box-shadow: inset 0px 0px 40px 0px hsla(120, 100%, 25%, .1), inset 0px 0px 5px 0px hsla(120, 100%, 25%, .2);
}
.progress-item:nth-child(5n+3){
    box-shadow: inset 0px 0px 40px 0px hsla(240, 100%, 50%, .1), inset 0px 0px 5px 0px hsla(240, 100%, 50%, .2);
}
.progress-item:nth-child(5n+4){
    box-shadow: inset 0px 0px 40px 0px hsla( 40, 100%, 50%, .1), inset 0px 0px 5px 0px hsla( 40, 100%, 50%, .2);
}
.progress-item:nth-child(5n+5){
    box-shadow: inset 0px 0px 40px 0px hsla(280, 100%, 50%, .1), inset 0px 0px 5px 0px hsla(280, 100%, 50%, .2);
}

.progress-item h2{
    margin: 0px;
    margin-left: 10px;
    padding: 0px;
    font-weight: normal;
}

#team-container[data-selected="yes"]{
    display: block;
    float: left;
}

.teammate-container, #downloads-container a{
    display: block;
    transition: box-shadow 500ms;
    -webkit-flex: 0 0 auto;
    -moz-flex: 0 0 auto;
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    display: inline-block;
    margin: 5px;
    padding: 10px;
    border-radius: 16px;
    background-color: hsla(0, 100%, 100%, 0.65);
    box-shadow: inset 0px 0px 12px 0px hsla(0, 0%, 0%, .1);
}

.content-container[data-preview="no"] .teammate-container[data-selected="pending"]{
    width: 8em;
}

.teammate-container[data-selected="no"]:hover, .teammate-container[data-selected="pending"]:hover, #downloads-container a:hover{
    cursor: pointer;
    box-shadow: inset 0px 0px 3px 0px hsla(0, 0%, 0%, .5), 0px 0px 6px 0px hsla(0, 0%, 0%, .5);
}

.teammate-container > *, #downloads-container a *{
    display: block;
    text-align: center;
    margin: 0 auto;
    max-width: 150px;
}

.teammate-container > b, #downloads-container b{
    padding: 2px;
    padding-top: 8px;
}

#downloads-container a{
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-decoration: none;
    color: black;
}

.teammate-container img, #downloads-container img{
    display: block;
    border-radius: 10%;
    width: 150px;
    height: 180px;
    box-shadow: 0px 0px 12px 0px hsla(0, 0%, 0%, .2), inset 0px 0px 12px 0px hsla(0, 0%, 0%, .2);
}

#downloads-container img.ppt-preview{
    height: 121px;
}

.teammate-container[data-selected="no"]{
    display: none;
}

.teammate-container[data-selected="yes"]{
    margin-right: 17px;
}

.teammate-description{
    margin-left: 40px;
    height: 100%;
}
.teammate-description[data-selected="no"]{
    display: none;
}

.back-to-team-button{
    margin-top: -30px;
    margin-right: 15px;
    font-size: 24px;
    float: right;
    color: black;
    text-shadow: 0px 0px 3px white;
}

.back-to-team-button i{
    transition: text-shadow 750ms, color, 750ms;
}

.back-to-team-button i:hover{
    cursor: pointer;
    color: white;
    text-shadow: 0px 0px 1px black, 0px 0px 10px black;
}

.back-to-team-button[data-needed="no"]{
    display: none;
}

/*favicon*/
/*
section{
    width: 500px;
    height: 500px;
    background-color: white;
    position: relative;
    border: black 1px solid;
}
section section{
    position: absolute;
    width: 400px;
    height: 400px;
    left: 50px;
    top: 50px;
    background-color: hsla(0,0%,0%,0);
}
section div{
    border-radius: 200px;
    width: 140px;
    height: 140px;
    position: absolute;
}
#one{
    background-color: red;
    bottom: 93px;
    left: 180px;
}
#two{
    background-color: green;
    top: 85px;
    left: 75px;
}
#three{
    background-color: blue;
    top: 85px;
    right: 75px;
}
*/